<?php
//* New navigation markup
function hmpl_do_new_header() {
	genesis_markup( array('html5' => '<nav %s>','xhtml' => '<div class="nav-primary">','context' => 'nav-primary',) );
	unregister_sidebar( 'header-right' );
	remove_filter( 'wp_nav_menu_args', 'genesis_header_menu_args' );
	remove_filter( 'wp_nav_menu', 'genesis_header_menu_wrap' );
	echo hmp_navigation();
	genesis_markup( array('html5' => '</nav>','xhtml' => '</div>',) );
}
remove_action( 'genesis_header', 'genesis_header_markup_open', 5 );
remove_action( 'genesis_header', 'genesis_do_header', 10 );
remove_action( 'genesis_header', 'genesis_header_markup_close', 15 );
add_action( 'genesis_before', 'genesis_header_markup_open', 5 );
add_action( 'genesis_before', 'hmpl_do_new_header', 10 );
add_action( 'genesis_before', 'genesis_header_markup_close', 15 );

function hmp_navigation() {
	?>
	<aside class="nav-top clearfix" id="nav-top">
		<?php if (!is_user_logged_in()) { ?>
			<div class="login-right">
				<input id="loginform-button" name="loginform-button" type="checkbox" />
				<label for="loginform-button" tabindex="500"><span class="login-nav-lock fa fa-lock">&nbsp;</span>Wil je inloggen?<span class="loginform-cross"><span class="fa fa-times"></span></span></label>
				<div class="loginform-expand-ext"></div>
				<div class="loginform-expand">
					<div class="loginform-content">
						<h4>Log hier in</h4>
						<?php echo hmp_login_call(); ?>
					</div>
				</div>
			</div>
		<?php }; ?>
	</aside>
	<div class="clearfix">
		<fieldset class="header-nav clearfix">
			<div class="nav-home header-logo">
				<span class="site-title" itemprop="headline">
					<a class="nav-desktop" href="https://hostmijnpagina.nl" tabindex="1">
						<span class="title">Host Mijn Pagina</span>
					</a>
				</span>
				<input type="radio" name="nav-tabs" checked id="nav-tab-logo" class="nav-radio">
				<label for="nav-tab-logo" class="nav-mobile-icon">
					<a class="link-active" href="https://hostmijnpagina.nl">
						<span class="mobile-nav-link mobile-title">
							<span>Host Mijn Pagina</span>
						</span>
					</a>
					<span class="mobile-nav-link link-inactive">
						<span class="fa fa-times-circle"></span>
						<span class="inactive-title">Host Mijn Pagina</span>
					</span>
				</label>
			</div>
			<div class="nav-link nav-home">
				<a class="lhover nav-desktop" href="https://hostmijnpagina.nl/handleiding/" target="_self" tabindex="2">
					<span class="desktopmenu">Handleiding</span>
				</a>
				<input type="radio" name="nav-tabs" id="nav-tab-guide" class="nav-radio">
				<label for="nav-tab-guide" class="nav-mobile-icon">
					<span class="mobile-nav-link">
						<span class="link-inactive">
							<span class="fa fa-book"></span>
						</span>
						<a class="link-active" href="https://hostmijnpagina.nl/handleiding/" target="_self">
							<span class="fa fa-book"></span>
						</a>
					</span>
				</label>
				<div class="nav-mega">
					<div class="nav-content">
						<?php hmpl_nav_mega_guide(); ?>
					</div>
				</div>
			</div>
			<div class="nav-link nav-home">
				<a class="lhover nav-desktop" href="https://info.hostmijnpagina.nl" target="_self" tabindex="3">
					<span class="desktopmenu">Informatie</span>
				</a>
				<input type="radio" name="nav-tabs" id="nav-tab-info" class="nav-radio">
				<label for="nav-tab-info" class="nav-mobile-icon">
					<span class="mobile-nav-link">
						<span class="link-inactive">
							<span class="fa fa-info-circle"></span>
						</span>
						<a class="link-active" href="https://info.hostmijnpagina.nl" target="_self">
							<span class="fa fa-info-circle"></span>
						</a>
					</span>
				</label>
				<div class="nav-mega">
					<div class="nav-content">
						<?php hmpl_nav_mega_info(); ?>
					</div>
				</div>
			</div>
			<div class="nav-link nav-home">
				<a class="lhover nav-desktop" href="https://support.hostmijnpagina.nl" target="_self" tabindex="4">
					<span class="desktopmenu">Support</span>
				</a>
				<input type="radio" name="nav-tabs" id="nav-tab-support" class="nav-radio">
				<label for="nav-tab-support" class="nav-mobile-icon">
					<span class="mobile-nav-link">
						<span class="link-inactive">
							<span class="fa fa-question-circle"></span>
						</span>
						<a class="link-active" href="https://support.hostmijnpagina.nl" target="_self">
							<span class="fa fa-question-circle"></span>
						</a>
					</span>
				</label>
				<div class="nav-mega">
					<div class="nav-content">
						<?php hmpl_nav_mega_support(); ?>
					</div>
				</div>
			</div>
			<div class="nav-link nav-home user-mobile">
				<input type="radio" name="nav-tabs" id="nav-tab-user" class="nav-radio">
				<label for="nav-tab-user" class="nav-mobile-icon">
					<span class="mobile-nav-link nav-img-fix">
						<span class="link-inactive nav-img-fix-cell">
							<?php hmpl_nav_wp_menu_icon() ?>
						</span>
					</span>
				</label>	
				<div class="nav-mega">
					<div class="nav-content">
						<?php hmpl_nav_mega_user(); ?>
					</div>
				</div>
			</div>
			<div class="nav-search nav-home">
				<div class="nav-search-wrapper">
					<?php hmpl_nav_search(); ?>
				</div>
			</div>
		</fieldset>
	</div>
	<?php
}

//* Search form
function hmpl_nav_search() {
	?><form role="search" method="get" id="searchform" class="searchform" action="<?php echo home_url( '/' ); ?>">
		<label><span class="screen-reader-text"><?php echo _x( 'Zoeken', 'label' ) ?></span></label>
		<input id="search-field" type="search" class="search-field" placeholder="<?php echo esc_attr_x( 'Zoek door onze pagina\'s...', 'placeholder' ) ?>" value="<?php echo get_search_query() ?>" name="s" title="<?php echo esc_attr_x( 'Zoek door onze pagina\'s...', 'label' ) ?>" tabindex="5" />
		<label for="search-field"><span class="searchicon"></span></label>
		<input type="submit" class="search-submit" value="" />
	</form><?php
}

//* Mobile menu WP-nav replacement
function hmpl_nav_wp_menu_icon() {
	if ( !is_user_logged_in() ) {
		echo '<img alt="Profiel" src="/hmp/images/home/header/userlogo-logout.png" class="avatar avatar-34 photo avatar-default" height="34" width="34">';
	} else {
		$user = wp_get_current_user();
		$user_id = $user->ID;
		echo get_avatar( $user_id, 34 );
	}
}

//* login call + process
function hmp_login_call() {
	ob_start();
	hmp_login_process();
	return ob_get_clean();
}

function hmp_login_process() {
	if (isset($_POST['user-submit'])) {
		dlf_auth($_POST['log'], $_POST['pwd']);
	}
 	hmp_login_form();
}

function hmp_login_form() {
global $user_login;
?>
<form action="<?php bloginfo('url') ?>/wp-login.php" class="wp-user-form" method="post">
	<div class="username"><p class="input-prepend">
		<span class="add-on fa-user-fix"><span class="fa fa-user"></span></span>
		<input name="log" type="text" class="input" value="<?php echo esc_attr(stripslashes($user_login)); ?>" size="20" placeholder="Gebruikersnaam" tabindex="1" />
	</p></div>
	<div class="password"><p class="input-prepend">
		<span class="add-on"><span class="fa fa-lock"></span></span>
		<input type="password" name="pwd" class="input" value="" size="20" placeholder="Wachtwoord" tabindex="2" />
	</p></div>
	<div class="login_fields"><?php do_action('login_form'); ?>
	<div class="login-submit">
		<input class="sbutton nav-login-button" type="submit" name="user-submit" value="Inloggen" tabindex="3" />
		<input type="hidden" name="redirect_to" value="<?php echo $_SERVER['REQUEST_URI']; ?>" />
		<input type="hidden" name="user-cookie" value="1" />
	</div></div>
</form>
<?php
}

//* Guide (first) mega menu
function hmpl_nav_mega_guide() {
?>						<div class="mobile-nav mobile-menu-header menu-even">
							<div class="mobile-menu-welcome">
								<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><h4>Handleidingen</h4></a>
							</div>
						</div>
						<span class="nav-table">
							<span class="nav-cell">
								<span class="nav-cell-wrapper nav-cell-wrapper-top">
									<span class="nav-cell-in nav-cell-in-left mobile-sec mobile-special">
										<span class="nav-fa-wrapper">
											<a href="https://hostmijnpagina.nl/handleiding/over-wordpress/" target="_self" class="nav-fa">
												<span class="fa fa-wordpress"></span>WordPress
											</a>
											<a href="https://hostmijnpagina.nl/handleiding/" target="_self" class="nav-fa">
												<span class="fa fa-pencil-square-o"></span>Thema's
											</a>
											<a href="https://hostmijnpagina.nl/handleiding/" target="_self" class="nav-fa">
												<span class="fa fa-scissors"></span>Shortcodes
											</a>
											<a href="https://hostmijnpagina.nl/handleiding/" target="_self" class="nav-fa">
												<span class="fa fa-code"></span>Eigen code
											</a>
										</span>
									</span>
									<span class="nav-cell-in mobile-sec">
										<span class="nav-cell-in-wrapper">
											<span class="nav-fa">
												<span class="fa fa-child"></span>
											</span>
											<span class="nav-cell-in-ra">
												<span class="nav-fa-v">
													<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Je eerste stappen</a>
												</span>
												<span class="nav-fa-v">
													<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Handige tips</a>
												</span>
												<span class="nav-fa-v">
													<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Geef een suggestie</a>
												</span>
											</span>
										</span>
									</span>
								</span>
							</span>
						</span>
						<span class="nav-table">
							<span class="nav-cell">
								<span class="nav-cell-wrapper nospacing">
									<span class="nav-cell-in nav-cell-fourth continuespacing mobile-sec">
										<span class="nav-cell-header">Voor iedereen</span>
										<span class="nav-cell-in-la">
											<span class="nav-fa-v">
												<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Teksten plaatsen</a>
											</span>
											<span class="nav-fa-v">
												<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Menu's indelen</a>
											</span>
											<span class="nav-fa-v">
												<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Bestanden uploaden</a>
											</span>
										</span>
									</span>
									<span class="nav-cell-in nav-cell-fourth continuespacing mobile-sec">
										<span class="nav-cell-header">Basic sites</span>
										<span class="nav-cell-in-la">
											<span class="nav-fa-v">
												<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Jouw domein</a>
											</span>
											<span class="nav-fa-v">
												<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Elegant Thema's</a>
											</span>
											<span class="nav-fa-v">
												<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> SEO instellingen</a>
											</span>
										</span>
									</span>
									<span class="nav-cell-in nav-cell-fourth continuespacing mobile-sec">
										<span class="nav-cell-header">Pro sites</span>
										<span class="nav-cell-in-la">
											<span class="nav-fa-v">
												<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Genesis Thema's</a>
											</span>
											<span class="nav-fa-v">
												<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Forums opzetten</a>
											</span>
											<span class="nav-fa-v">
												<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Formulieren</a>
											</span>
										</span>
									</span>
									<span class="nav-cell-in nav-cell-fourth continuespacing mobile-sec">
										<span class="nav-cell-header">Business sites</span>
										<span class="nav-cell-in-la">
											<span class="nav-fa-v">
												<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Jouw Webwinkel</a>
											</span>
											<span class="nav-fa-v">
												<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> CSS invoegen</a>
											</span>
											<span class="nav-fa-v">
												<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Automatisch bloggen</a>
											</span>	
										</span>
									</span>
								</span>
							</span>
						</span>
<?php
}

//* Info (second) mega menu
function hmpl_nav_mega_info() {
?>						<div class="mobile-nav mobile-menu-header menu-even">
							<div class="mobile-menu-welcome">
								<a href="https://info.hostmijnpagina.nl/" target="_self"><h4>Informatie</h4></a>
							</div>
						</div>
						<span class="nav-table">
							<span class="nav-cell">
								<span class="nav-cell-wrapper nav-cell-wrapper-top">
									<span class="nav-cell-in nav-cell-third mobile-sec">
										<span class="nav-cell-header">Hoe het werkt</span>
										<span class="nav-cell-in-la">
											<span class="nav-fa-v">
												<a href="https://info.hostmijnpagina.nl/" target="_self"><span class="fa fa-chevron-right"></span> Ons mega netwerk</a>
											</span>
											<span class="nav-fa-v">
												<a href="https://info.hostmijnpagina.nl/" target="_self"><span class="fa fa-chevron-right"></span> Jouw voordelen</a>
											</span>
											<span class="nav-fa-v">
												<a href="https://info.hostmijnpagina.nl/" target="_self"><span class="fa fa-chevron-right"></span> Over WordPress</a>
											</span>
										</span>
									</span>
									<span class="nav-cell-in nav-cell-third mobile-sec">
										<span class="nav-cell-header">Wat er gebeurt</span>
										<span class="nav-cell-in-la">
											<span class="nav-fa-v">
												<a href="https://info.hostmijnpagina.nl/" target="_self"><span class="fa fa-chevron-right"></span> Zonder zorgen</a>
											</span>
											<span class="nav-fa-v">
												<a href="https://info.hostmijnpagina.nl/" target="_self"><span class="fa fa-chevron-right"></span> Optimalisering</a>
											</span>
											<span class="nav-fa-v">
												<a href="https://info.hostmijnpagina.nl/" target="_self"><span class="fa fa-chevron-right"></span> Veiligheid en Privacy</a>
											</span>
										</span>
									</span>
									<span class="nav-cell-in nav-cell-third mobile-sec">
										<span class="nav-cell-header">Voor jouw website</span>
										<span class="nav-cell-in-la">
											<span class="nav-fa-v">
												<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Jouw eigen domein</a>
											</span>
											<span class="nav-fa-v">
												<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Forums opzetten</a>
											</span>
											<span class="nav-fa-v">
												<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Formulieren</a>
											</span>
										</span>
									</span>									
								</span>
							</span>
						</span>
						<span class="nav-table">
							<span class="nav-cell">
								<span class="nav-cell-wrapper nospacing">
									<span class="nav-cell-in nav-cell-in-left continuespacing mobile-sec mobile-sec-odd mobile-special">
										<span class="nav-fa-wrapper">
											<a href="https://hostmijnpagina.nl/nieuws/" target="_self" class="nav-fa">
												<span class="fa fa-newspaper-o"></span>Nieuws
											</a>
											<a href="https://info.hostmijnpagina.nl/" target="_self" class="nav-fa">
												<span class="fa fa-bed"></span>Jouw Privacy
											</a>
											<a href="https://info.hostmijnpagina.nl/" target="_self" class="nav-fa">
												<span class="fa fa-thumbs-o-up"></span>Over Ons
											</a>
											<a href="https://info.hostmijnpagina.nl/" target="_self" class="nav-fa">
												<span class="fa fa-shield"></span>Veiligheid
											</a>
										</span>
									</span>
									<span class="nav-cell-in continuespacing mobile-sec mobile-sec-odd">
										<span class="nav-cell-in-wrapper">
											<span class="nav-fa">
												<span class="fa fa-question"></span>
											</span>
											<span class="nav-cell-in-ra">
												<span class="nav-fa-v">
													<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Algemene voorwaarden</a>
												</span>
												<span class="nav-fa-v">
													<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Privacy Beleid</a>
												</span>
												<span class="nav-fa-v">
													<a href="https://hostmijnpagina.nl/handleiding/" target="_self"><span class="fa fa-chevron-right"></span> Copyright</a>
												</span>
											</span>
										</span>
									</span>
								</span>
							</span>
						</span>
<?php
}

//* Support (third) mega menu
function hmpl_nav_mega_support() {
?>						<div class="mobile-nav mobile-menu-header menu-even">
							<div class="mobile-menu-welcome">
								<a href="https://support.hostmijnpagina.nl/" target="_self"><h4>Support</h4></a>
							</div>
						</div>
						<span class="nav-table">
							<span class="nav-cell">
								<span class="nav-cell-wrapper">
									<span class="nav-cell-in nav-cell-third mobile-sec">
										<span class="nav-cell-wrapper-auto">
											<span class="nav-cell-header nav-cell-wrapper-auto nav-button-caption">Heb je een vraag?</span>
											<span class="navigation-button navigation-button-auto">
												<a href="https://support.hostmijnpagina.nl/contact/" target="_self">
													<span>Neem contact op</span>
												</a>
											</span>
										</span>
									</span>
									<span class="nav-cell-in nav-cell-third mobile-sec">
										<span class="nav-cell-wrapper-auto">
											<span class="nav-cell-header nav-button-caption">Wil je iets delen?</span>
											<span class="navigation-button navigation-button-auto">
												<a href="https://support.hostmijnpagina.nl/forums/" target="_self">
													<span>Community Forums</span>
												</a>
											</span>
										</span>
									</span>
									<span class="nav-cell-in nav-cell-third mobile-sec">
										<span class="nav-cell-wrapper-auto">
											<span class="nav-cell-header nav-button-caption">Wil je meer leren?</span>
											<span class="navigation-button navigation-button-auto">
												<a href="https://hostmijnpagina.nl/handleiding/" target="_self">
													<span>Handleidingen</span>
												</a>
											</span>
										</span>
									</span>									
								</span>
							</span>
						</span>
<?php
}

//* User (fourth) (last) mega menu
function hmpl_nav_mega_user() {
	if (!is_user_logged_in()) { ?>
		<div class="mobile-loginform-wrapper">
			<div class="loginform-content">
				<h4 class="nav-mobile-loginheader">Log hier in</h4>
				<?php echo hmp_login_call(); ?>
			</div>
		</div>
		<div class="mobile-register-wrapper">
			<div class="register-content">
				<h4 class="nav-mobile-loginheader">Nog geen account?</h4>
				<div class="navigation-register">
					<a href="https://hostmijnpagina.nl/registreren/" target="_self">
						<span>Registreer Gratis</span>
					</a>
				</div>
			</div>
		</div>	<?php
	} else {
		do_action( 'hmpl_show_site_list' );
	}
}

add_action( 'hmpl_show_site_list', 'hmpl_site_list_function' );
function hmpl_site_list_function() {
	global $current_user;
	
	$current_user_id = $current_user->ID;
	$all_blogs_of_user = get_blogs_of_user($current_user_id);
	
?>	<div class="mobile-nav mobile-menu-header menu-even">
		<div class="mobile-menu-welcome">
			<h4>Welkom terug <?php echo $current_user->display_name; ?></h4>
		</div>
		<div class="navigation-user-buttons">
			<div class="navigation-button">
				<a href="<?php echo get_dashboard_url() ?>profile.php" target="_self" title="Profiel Wijzigen">
					<span>Profiel wijzigen</span>
				</a>
			</div>
			<div class="navigation-button">
				<a href="<?php echo wp_logout_url( get_permalink() ); ?>" target="_self" title="Uitloggen">
					<span>Uitloggen</span>
				</a>
			</div>
		</div>
	</div>
	<?php
	
	// Show only when the user has at least one site, or they're a super admin.
	if ( count( $all_blogs_of_user ) < 1 && ! is_super_admin() ) {
	?>	<div class="mobile-nav menu-odd">
			<div class="menu-odd mobile-menu-header">
				<h4>Je hebt nog geen site, wil je er een aan maken?</h4>
			</div>
			<div class="navigation-register">
				<a href="https://hostmijnpagina.nl/getsite/" target="_self">
					<span>Maak site aan</span>
				</a>
			</div>
		</div>	<?php
	} else {	?>
		<div class="mobile-nav menu-odd">
			<div class="menu-header mobile-menu-header">
				<?php if ( count( $all_blogs_of_user ) > 1 ) {
					?><h4>Mijn websites</h4><?php
				} else {
					?><h4>Mijn website</h4><?php
				} ?>
			</div>
		</div>	<?php
		
		// Initiate the odd or even count
		$odd_even_count = 1;
		
		if ( is_super_admin() ) {
			//Take it back one step because there's an extra menu
			$odd_even_count = 0;
			
		?>	<div class="mobile-nav menu-even admin_user">
				<div class="menu-odd mobile-menu-header">
					<a href="<?php echo network_admin_url(); ?>" target="_self" title="Network Admin">Netwerkbeheer</a>
				</div>
				<div class="menu-odd mobile-menu-content">
					<div class="mobile-menu-group nav-cell-in-la">
						<span class="nav-fa-v">
							<a href="<?php echo network_admin_url(); ?>" target="_self" title="Dashboard"><span class="fa fa-chevron-right"></span> Dashboard</a>
						</span>
						<span class="nav-fa-v">
							<a href="<?php echo network_admin_url( 'sites.php' ); ?>" target="_self" title="Sites"><span class="fa fa-chevron-right"></span> Sites</a>
						</span>
						<span class="nav-fa-v">
							<a href="<?php echo network_admin_url( 'users.php' ); ?>" target="_self" title="Gebruikers"><span class="fa fa-chevron-right"></span> Gebruikers</a>
						</span>
						<span class="nav-fa-v">
							<a href="<?php echo network_admin_url( 'themes.php' ); ?>" target="_self" title="Thema's"><span class="fa fa-chevron-right"></span> Thema's</a>
						</span>
						<span class="nav-fa-v">
							<a href="<?php echo network_admin_url( 'plugins.php' ); ?>" target="_self" title="Plugins"><span class="fa fa-chevron-right"></span> Plugins</a>
						</span>
					</div>
				</div>
			</div>
		<?php }
		
		//return each blog the current user is member off
		foreach ( (array) $all_blogs_of_user as $blog ) {
			switch_to_blog( $blog->userblog_id );

			$blogname = $blog->blogname;
			
			$odd_or_even = (++$odd_even_count%2 ? "odd" : "even");

			if ( ! $blogname ) {
				$blogname = preg_replace( '#^(https?://)?(www.)?#', '', get_home_url() );
			}

			// Still needs Blatavar integration (so does the admin bar)
			?>	
			<div class="mobile-nav menu-<?php echo $odd_or_even; ?>">			
				<div class="mobile-nav menu-<?php echo $odd_or_even; ?> site-group">
					<div class="menu-<?php echo $odd_or_even; ?> mobile-menu-header">
						<a href="<?php echo admin_url(); ?>" target="_self" title="<?php echo $blogname; ?>"><?php echo $blogname; ?></a>
					</div>
					<div class="menu-<?php echo $odd_or_even; ?> mobile-menu-content">
						<div class="mobile-menu-group nav-cell-in-la">
							<span class="nav-fa-v">
								<a href="<?php echo admin_url(); ?>" target="_self" title="Dashboard"><span class="fa fa-chevron-right"></span> Dashboard</a>
							</span>	<?php

						if ( current_user_can( get_post_type_object( 'post' )->cap->create_posts ) ) { ?>	
							<span class="nav-fa-v">
								<a href="<?php echo admin_url( 'post-new.php' ); ?>" target="_self" title="Nieuw bericht"><span class="fa fa-chevron-right"></span> Nieuw bericht</a>
							</span>	<?php
						}

						if ( current_user_can( 'edit_posts' ) ) { ?>
							<span class="nav-fa-v">
								<a href="<?php echo admin_url( 'edit-comments.php' ); ?>" target="_self" title="Reacties beheren"><span class="fa fa-chevron-right"></span> Reacties beheren</a>
							</span>	<?php
						} ?>
							
							<span class="nav-fa-v">
								<a href="<?php echo home_url( '/' ); ?>" target="_self" title="Site bekijken"><span class="fa fa-chevron-right"></span> Site bekijken</a>
							</span>
						</div>
					</div>
				</div>	
			</div>
			<?php

			restore_current_blog();
		}
	}
}